<html>
<head>
<title>Ogre::VertexElement Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1VertexElement.html">VertexElement</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::VertexElement Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::VertexElement" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>This class declares the usage of a single vertex buffer as a component of a complete <a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a>.  
 <a href="classOgre_1_1VertexElement.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::VertexElement:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1VertexElement__inherit__graph.gif" border="0" usemap="#Ogre_1_1VertexElement_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1VertexElement_inherit__map" id="Ogre_1_1VertexElement_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="19,5,136,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1VertexElement-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a91b0768c36a06062b941fedaf37901d8">VertexElement</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor, should not be called directly, only needed because of list.  <a href="#a91b0768c36a06062b941fedaf37901d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#ab554b57536fc3eddde886d100c62791f">VertexElement</a> (unsigned short source, size_t offset, <a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> theType, <a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> semantic, unsigned short index=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor, should not be called directly, call <a class="el" href="classOgre_1_1VertexDeclaration.html#ae789acf4f4a63d8638fc23cb4e26239f" title="Adds a new VertexElement to this declaration.">VertexDeclaration::addElement</a>.  <a href="#ab554b57536fc3eddde886d100c62791f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#ac0559c14d6c048db96c1eff14cceff40">getSource</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the vertex buffer index from where this element draws it's values.  <a href="#ac0559c14d6c048db96c1eff14cceff40"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#affcb4cfae6944a6cb43d1a03664f4a95">getOffset</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the offset into the buffer where this element starts.  <a href="#affcb4cfae6944a6cb43d1a03664f4a95"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#aea85cdaf058bc4ef4f43a21a042e8e4b">getType</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the data format of this element.  <a href="#aea85cdaf058bc4ef4f43a21a042e8e4b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#aeab14d13a7368e75be776c871420cc77">getSemantic</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the meaning of this element.  <a href="#aeab14d13a7368e75be776c871420cc77"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a14940087823ab0068a7a684c5ee6353a">getIndex</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the index of this element, only applicable for repeating elements.  <a href="#a14940087823ab0068a7a684c5ee6353a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a8fc4573e6122ee2a73577d74b50ed599">getSize</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the size of this element in bytes.  <a href="#a8fc4573e6122ee2a73577d74b50ed599"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a65832073a574e06903adc1101e109732">operator==</a> (const <a class="el" href="classOgre_1_1VertexElement.html">VertexElement</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a34d62f56827dfb288b55059696587d83">baseVertexPointerToElement</a> (void *pBase, void **pElem) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adjusts a pointer to the base of a vertex to point at this element.  <a href="#a34d62f56827dfb288b55059696587d83"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a20a697dec05663dea83bdee02d9412bf">baseVertexPointerToElement</a> (void *pBase, float **pElem) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adjusts a pointer to the base of a vertex to point at this element.  <a href="#a20a697dec05663dea83bdee02d9412bf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a676a6d854d713058757f640cf6a6ae17">baseVertexPointerToElement</a> (void *pBase, <a class="el" href="group__General.html#ga8c0fefd117985c6df93c4714f370bcd6">RGBA</a> **pElem) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adjusts a pointer to the base of a vertex to point at this element.  <a href="#a676a6d854d713058757f640cf6a6ae17"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a5cdb660e91d8d4adbad6172e86c2562f">baseVertexPointerToElement</a> (void *pBase, unsigned char **pElem) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adjusts a pointer to the base of a vertex to point at this element.  <a href="#a5cdb660e91d8d4adbad6172e86c2562f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#af3bcab57ea91e958261c618b2c8925c4">baseVertexPointerToElement</a> (void *pBase, unsigned short **pElem) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adjusts a pointer to the base of a vertex to point at this element.  <a href="#af3bcab57ea91e958261c618b2c8925c4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a0c6ec880969e888a995e5e7bcae73e6f">getTypeSize</a> (<a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> etype)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method for helping to calculate offsets.  <a href="#a0c6ec880969e888a995e5e7bcae73e6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#ae62cacb2ca32a02851422f2e4f66be68">getTypeCount</a> (<a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> etype)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method which returns the count of values in a given type.  <a href="#ae62cacb2ca32a02851422f2e4f66be68"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#ae5e021d95c04f267cd8f4bcc8133aa8b">multiplyTypeCount</a> (<a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> baseType, unsigned short count)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple converter function which will turn a single-value type into a multi-value type based on a parameter.  <a href="#ae5e021d95c04f267cd8f4bcc8133aa8b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#ab72d0360c1bea273ac8fecd88c9a9ec6">getBaseType</a> (<a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> multiType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple converter function which will a type into it's single-value equivalent - makes switches on type easier.  <a href="#ab72d0360c1bea273ac8fecd88c9a9ec6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a6e79d12b90d3bdb7ed6ecd43e1a400b0">convertColourValue</a> (<a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> srcType, <a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> dstType, <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method for converting colour from one packed 32-bit colour type to another.  <a href="#a6e79d12b90d3bdb7ed6ecd43e1a400b0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#ab4aba9e0430b1b330616827a5e99b54b">convertColourValue</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;src, <a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> dst)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method for converting colour to a packed 32-bit colour type.  <a href="#ab4aba9e0430b1b330616827a5e99b54b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#afd91fd79991fc24e48e986672b2250f4">getBestColourVertexElementType</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method to get the most appropriate packed colour vertex element format.  <a href="#afd91fd79991fc24e48e986672b2250f4"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#aba26f25183641c5095c8f6d0831dc1ca">mSource</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The source vertex buffer, as bound to an index using <a class="el" href="classOgre_1_1VertexBufferBinding.html" title="Records the state of all the vertex buffer bindings required to provide a vertex declaration with the...">VertexBufferBinding</a>.  <a href="#aba26f25183641c5095c8f6d0831dc1ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a82f811fecda479f8b1443d5df9488a25">mOffset</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset in the buffer that this element starts at.  <a href="#a82f811fecda479f8b1443d5df9488a25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a55d4996a5703f82020ebf05a4c5f8222">mType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of element.  <a href="#a55d4996a5703f82020ebf05a4c5f8222"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a3f040d2e54d1dc1103a7cc3b2a0f2e9b">mSemantic</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The meaning of the element.  <a href="#a3f040d2e54d1dc1103a7cc3b2a0f2e9b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexElement.html#a481893620cead3d8136aab24da32aa3c">mIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Index of the item, only applicable for some elements like texture coords.  <a href="#a481893620cead3d8136aab24da32aa3c"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This class declares the usage of a single vertex buffer as a component of a complete <a class="el" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Several vertex buffers can be used to supply the input geometry for a rendering operation, and in each case a vertex buffer can be used in different ways for different operations; the buffer itself does not define the semantics (position, normal etc), the <a class="el" href="classOgre_1_1VertexElement.html" title="This class declares the usage of a single vertex buffer as a component of a complete VertexDeclaratio...">VertexElement</a> class does. </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00147">147</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a91b0768c36a06062b941fedaf37901d8"></a><!-- doxytag: member="Ogre::VertexElement::VertexElement" ref="a91b0768c36a06062b941fedaf37901d8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexElement.html#a91b0768c36a06062b941fedaf37901d8">Ogre::VertexElement::VertexElement</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor, should not be called directly, only needed because of list. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00162">162</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab554b57536fc3eddde886d100c62791f"></a><!-- doxytag: member="Ogre::VertexElement::VertexElement" ref="ab554b57536fc3eddde886d100c62791f" args="(unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexElement.html#a91b0768c36a06062b941fedaf37901d8">Ogre::VertexElement::VertexElement</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td>
          <td class="paramname"><em>theType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a>&#160;</td>
          <td class="paramname"><em>semantic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor, should not be called directly, call <a class="el" href="classOgre_1_1VertexDeclaration.html#ae789acf4f4a63d8638fc23cb4e26239f" title="Adds a new VertexElement to this declaration.">VertexDeclaration::addElement</a>. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a34d62f56827dfb288b55059696587d83"></a><!-- doxytag: member="Ogre::VertexElement::baseVertexPointerToElement" ref="a34d62f56827dfb288b55059696587d83" args="(void *pBase, void **pElem) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexElement.html#a34d62f56827dfb288b55059696587d83">Ogre::VertexElement::baseVertexPointerToElement</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void **&#160;</td>
          <td class="paramname"><em>pElem</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adjusts a pointer to the base of a vertex to point at this element. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This variant is for void pointers, passed as a parameter because we can't rely on covariant return types. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pBase</td><td>Pointer to the start of a vertex in this buffer. </td></tr>
    <tr><td class="paramname">pElem</td><td>Pointer to a pointer which will be set to the start of this element. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00230">230</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a20a697dec05663dea83bdee02d9412bf"></a><!-- doxytag: member="Ogre::VertexElement::baseVertexPointerToElement" ref="a20a697dec05663dea83bdee02d9412bf" args="(void *pBase, float **pElem) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexElement.html#a34d62f56827dfb288b55059696587d83">Ogre::VertexElement::baseVertexPointerToElement</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float **&#160;</td>
          <td class="paramname"><em>pElem</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adjusts a pointer to the base of a vertex to point at this element. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This variant is for float pointers, passed as a parameter because we can't rely on covariant return types. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pBase</td><td>Pointer to the start of a vertex in this buffer. </td></tr>
    <tr><td class="paramname">pElem</td><td>Pointer to a pointer which will be set to the start of this element. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00244">244</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a676a6d854d713058757f640cf6a6ae17"></a><!-- doxytag: member="Ogre::VertexElement::baseVertexPointerToElement" ref="a676a6d854d713058757f640cf6a6ae17" args="(void *pBase, RGBA **pElem) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexElement.html#a34d62f56827dfb288b55059696587d83">Ogre::VertexElement::baseVertexPointerToElement</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#ga8c0fefd117985c6df93c4714f370bcd6">RGBA</a> **&#160;</td>
          <td class="paramname"><em>pElem</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adjusts a pointer to the base of a vertex to point at this element. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This variant is for RGBA pointers, passed as a parameter because we can't rely on covariant return types. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pBase</td><td>Pointer to the start of a vertex in this buffer. </td></tr>
    <tr><td class="paramname">pElem</td><td>Pointer to a pointer which will be set to the start of this element. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00261">261</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5cdb660e91d8d4adbad6172e86c2562f"></a><!-- doxytag: member="Ogre::VertexElement::baseVertexPointerToElement" ref="a5cdb660e91d8d4adbad6172e86c2562f" args="(void *pBase, unsigned char **pElem) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexElement.html#a34d62f56827dfb288b55059696587d83">Ogre::VertexElement::baseVertexPointerToElement</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned char **&#160;</td>
          <td class="paramname"><em>pElem</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adjusts a pointer to the base of a vertex to point at this element. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This variant is for char pointers, passed as a parameter because we can't rely on covariant return types. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pBase</td><td>Pointer to the start of a vertex in this buffer. </td></tr>
    <tr><td class="paramname">pElem</td><td>Pointer to a pointer which will be set to the start of this element. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00274">274</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="af3bcab57ea91e958261c618b2c8925c4"></a><!-- doxytag: member="Ogre::VertexElement::baseVertexPointerToElement" ref="af3bcab57ea91e958261c618b2c8925c4" args="(void *pBase, unsigned short **pElem) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1VertexElement.html#a34d62f56827dfb288b55059696587d83">Ogre::VertexElement::baseVertexPointerToElement</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short **&#160;</td>
          <td class="paramname"><em>pElem</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adjusts a pointer to the base of a vertex to point at this element. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This variant is for ushort pointers, passed as a parameter because we can't rely on covariant return types. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pBase</td><td>Pointer to the start of a vertex in this buffer. </td></tr>
    <tr><td class="paramname">pElem</td><td>Pointer to a pointer which will be set to the start of this element. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00286">286</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6e79d12b90d3bdb7ed6ecd43e1a400b0"></a><!-- doxytag: member="Ogre::VertexElement::convertColourValue" ref="a6e79d12b90d3bdb7ed6ecd43e1a400b0" args="(VertexElementType srcType, VertexElementType dstType, uint32 *ptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1VertexElement.html#a6e79d12b90d3bdb7ed6ecd43e1a400b0">Ogre::VertexElement::convertColourValue</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td>
          <td class="paramname"><em>srcType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td>
          <td class="paramname"><em>dstType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method for converting colour from one packed 32-bit colour type to another. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">srcType</td><td>The source type </td></tr>
    <tr><td class="paramname">dstType</td><td>The destination type </td></tr>
    <tr><td class="paramname">ptr</td><td>Read / write value to change </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab4aba9e0430b1b330616827a5e99b54b"></a><!-- doxytag: member="Ogre::VertexElement::convertColourValue" ref="ab4aba9e0430b1b330616827a5e99b54b" args="(const ColourValue &amp;src, VertexElementType dst)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1VertexElement.html#a6e79d12b90d3bdb7ed6ecd43e1a400b0">Ogre::VertexElement::convertColourValue</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td>
          <td class="paramname"><em>dst</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method for converting colour to a packed 32-bit colour type. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">src</td><td>source colour </td></tr>
    <tr><td class="paramname">dst</td><td>The destination type </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab72d0360c1bea273ac8fecd88c9a9ec6"></a><!-- doxytag: member="Ogre::VertexElement::getBaseType" ref="ab72d0360c1bea273ac8fecd88c9a9ec6" args="(VertexElementType multiType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> <a class="el" href="classOgre_1_1VertexElement.html#ab72d0360c1bea273ac8fecd88c9a9ec6">Ogre::VertexElement::getBaseType</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td>
          <td class="paramname"><em>multiType</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Simple converter function which will a type into it's single-value equivalent - makes switches on type easier. </p>

</div>
</div>
<a class="anchor" id="afd91fd79991fc24e48e986672b2250f4"></a><!-- doxytag: member="Ogre::VertexElement::getBestColourVertexElementType" ref="afd91fd79991fc24e48e986672b2250f4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> <a class="el" href="classOgre_1_1VertexElement.html#afd91fd79991fc24e48e986672b2250f4">Ogre::VertexElement::getBestColourVertexElementType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method to get the most appropriate packed colour vertex element format. </p>

</div>
</div>
<a class="anchor" id="a14940087823ab0068a7a684c5ee6353a"></a><!-- doxytag: member="Ogre::VertexElement::getIndex" ref="a14940087823ab0068a7a684c5ee6353a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1VertexElement.html#a14940087823ab0068a7a684c5ee6353a">Ogre::VertexElement::getIndex</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the index of this element, only applicable for repeating elements. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00175">175</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="affcb4cfae6944a6cb43d1a03664f4a95"></a><!-- doxytag: member="Ogre::VertexElement::getOffset" ref="affcb4cfae6944a6cb43d1a03664f4a95" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1VertexElement.html#affcb4cfae6944a6cb43d1a03664f4a95">Ogre::VertexElement::getOffset</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the offset into the buffer where this element starts. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00169">169</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeab14d13a7368e75be776c871420cc77"></a><!-- doxytag: member="Ogre::VertexElement::getSemantic" ref="aeab14d13a7368e75be776c871420cc77" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> <a class="el" href="classOgre_1_1VertexElement.html#aeab14d13a7368e75be776c871420cc77">Ogre::VertexElement::getSemantic</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the meaning of this element. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00173">173</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8fc4573e6122ee2a73577d74b50ed599"></a><!-- doxytag: member="Ogre::VertexElement::getSize" ref="a8fc4573e6122ee2a73577d74b50ed599" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1VertexElement.html#a8fc4573e6122ee2a73577d74b50ed599">Ogre::VertexElement::getSize</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the size of this element in bytes. </p>

</div>
</div>
<a class="anchor" id="ac0559c14d6c048db96c1eff14cceff40"></a><!-- doxytag: member="Ogre::VertexElement::getSource" ref="ac0559c14d6c048db96c1eff14cceff40" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1VertexElement.html#ac0559c14d6c048db96c1eff14cceff40">Ogre::VertexElement::getSource</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the vertex buffer index from where this element draws it's values. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00167">167</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aea85cdaf058bc4ef4f43a21a042e8e4b"></a><!-- doxytag: member="Ogre::VertexElement::getType" ref="aea85cdaf058bc4ef4f43a21a042e8e4b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> <a class="el" href="classOgre_1_1VertexElement.html#aea85cdaf058bc4ef4f43a21a042e8e4b">Ogre::VertexElement::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the data format of this element. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00171">171</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae62cacb2ca32a02851422f2e4f66be68"></a><!-- doxytag: member="Ogre::VertexElement::getTypeCount" ref="ae62cacb2ca32a02851422f2e4f66be68" args="(VertexElementType etype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned short <a class="el" href="classOgre_1_1VertexElement.html#ae62cacb2ca32a02851422f2e4f66be68">Ogre::VertexElement::getTypeCount</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td>
          <td class="paramname"><em>etype</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method which returns the count of values in a given type. </p>

</div>
</div>
<a class="anchor" id="a0c6ec880969e888a995e5e7bcae73e6f"></a><!-- doxytag: member="Ogre::VertexElement::getTypeSize" ref="a0c6ec880969e888a995e5e7bcae73e6f" args="(VertexElementType etype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static size_t <a class="el" href="classOgre_1_1VertexElement.html#a0c6ec880969e888a995e5e7bcae73e6f">Ogre::VertexElement::getTypeSize</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td>
          <td class="paramname"><em>etype</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method for helping to calculate offsets. </p>

</div>
</div>
<a class="anchor" id="ae5e021d95c04f267cd8f4bcc8133aa8b"></a><!-- doxytag: member="Ogre::VertexElement::multiplyTypeCount" ref="ae5e021d95c04f267cd8f4bcc8133aa8b" args="(VertexElementType baseType, unsigned short count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> <a class="el" href="classOgre_1_1VertexElement.html#ae5e021d95c04f267cd8f4bcc8133aa8b">Ogre::VertexElement::multiplyTypeCount</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a>&#160;</td>
          <td class="paramname"><em>baseType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Simple converter function which will turn a single-value type into a multi-value type based on a parameter. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::VertexElement::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::VertexElement::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::VertexElement::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::VertexElement::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::VertexElement::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::VertexElement::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::VertexElement::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::VertexElement::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::VertexElement::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::VertexElement::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a65832073a574e06903adc1101e109732"></a><!-- doxytag: member="Ogre::VertexElement::operator==" ref="a65832073a574e06903adc1101e109732" args="(const VertexElement &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::VertexElement::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1VertexElement.html">VertexElement</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00211">211</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>References <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00159">mIndex</a>, <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00153">mOffset</a>, <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00157">mSemantic</a>, <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00151">mSource</a>, and <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00155">mType</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a481893620cead3d8136aab24da32aa3c"></a><!-- doxytag: member="Ogre::VertexElement::mIndex" ref="a481893620cead3d8136aab24da32aa3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1VertexElement.html#a481893620cead3d8136aab24da32aa3c">Ogre::VertexElement::mIndex</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Index of the item, only applicable for some elements like texture coords. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00159">159</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00211">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="a82f811fecda479f8b1443d5df9488a25"></a><!-- doxytag: member="Ogre::VertexElement::mOffset" ref="a82f811fecda479f8b1443d5df9488a25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1VertexElement.html#a82f811fecda479f8b1443d5df9488a25">Ogre::VertexElement::mOffset</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The offset in the buffer that this element starts at. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00153">153</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00211">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="a3f040d2e54d1dc1103a7cc3b2a0f2e9b"></a><!-- doxytag: member="Ogre::VertexElement::mSemantic" ref="a3f040d2e54d1dc1103a7cc3b2a0f2e9b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RenderSystem.html#ga0a62b3f2ede8992ff365bb013a8bc00d">VertexElementSemantic</a> <a class="el" href="classOgre_1_1VertexElement.html#a3f040d2e54d1dc1103a7cc3b2a0f2e9b">Ogre::VertexElement::mSemantic</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The meaning of the element. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00157">157</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00211">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="aba26f25183641c5095c8f6d0831dc1ca"></a><!-- doxytag: member="Ogre::VertexElement::mSource" ref="aba26f25183641c5095c8f6d0831dc1ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1VertexElement.html#aba26f25183641c5095c8f6d0831dc1ca">Ogre::VertexElement::mSource</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source vertex buffer, as bound to an index using <a class="el" href="classOgre_1_1VertexBufferBinding.html" title="Records the state of all the vertex buffer bindings required to provide a vertex declaration with the...">VertexBufferBinding</a>. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00151">151</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00211">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="a55d4996a5703f82020ebf05a4c5f8222"></a><!-- doxytag: member="Ogre::VertexElement::mType" ref="a55d4996a5703f82020ebf05a4c5f8222" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__RenderSystem.html#ga027109503a988ba85f4c63b55082907f">VertexElementType</a> <a class="el" href="classOgre_1_1VertexElement.html#a55d4996a5703f82020ebf05a4c5f8222">Ogre::VertexElement::mType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of element. </p>

<p>Definition at line <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00155">155</a> of file <a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>.</p>

<p>Referenced by <a class="el" href="OgreHardwareVertexBuffer_8h_source.html#l00211">operator==()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:57
</p>
</body>
</html>
